petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESGetLinearSolveIterations

Gets the total number of linear iterations used by the nonlinear solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetLinearSolveIterations(SNES snes,PetscInt *lits)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

lits -number of linear iterations

### Notes

This counter is reset to zero for each successive call to SNESSolve() unless SNESSetCountersReset() is used.

If the linear solver fails inside the SNESSolve() the iterations for that call to the linear solver are not included. If you wish to count them then call KSPGetIterationNumber() after the failed solve.

### Keywords

SNES, nonlinear, get, number, linear, iterations

### See Also

SNESGetIterationNumber(), SNESGetLinearSolveFailures(), SNESGetMaxLinearSolveFailures(), SNESSetCountersReset()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex74f.F90.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex24.c.html